Index: /extensions/pLoader/trunk/locale/de_DE/gs.html
===================================================================
--- /extensions/pLoader/trunk/locale/de_DE/gs.html	(revision 3457)
+++ /extensions/pLoader/trunk/locale/de_DE/gs.html	(revision 3457)
@@ -0,0 +1,20 @@
+<html>
+<body text="#E15918" link="#E15918">
+    <font size=5 face="verdana, arial">
+    <img src="../res/piwigo_logo.png" />
+    <br />
+    <br />
+    Klicke die Links um mit dem Ploader zu starten.
+    <br />
+    <br />
+    <br />
+    1. <a href="new_album">Erstelle ein neues Album.</a>
+    <br />
+    <br />
+    2. <a href="add_photos">Füge Fotos der Auswahl hinzu.</a>
+    <br />
+    <br />
+    3. <a href="upload_photos">Lade die Fotos in dein Album hoch.</a>
+    </font>
+</body>
+</html>
Index: /extensions/pLoader/trunk/locale/de_DE/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/de_DE/pLoader.po	(revision 3457)
+++ /extensions/pLoader/trunk/locale/de_DE/pLoader.po	(revision 3457)
@@ -0,0 +1,356 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Piwigo pLoader\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-06-16 09:54+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: Daniel Riedel <news@areasunshine.de>\n"
+"Language-Team: Piwigo team <team@piwigo.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Basepath: .\n"
+"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
+"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+
+msgid "Select photos for upload"
+msgstr "Wähle Fotos für den Upload"
+
+msgid "JPEG files"
+msgstr "JPEG-Dateien"
+
+msgid "Default author :"
+msgstr "Standartauthor :"
+
+msgid "Foto prefix :"
+msgstr "Foto präfix :"
+
+msgid "Site thumbnail size :"
+msgstr "Thumbnail-Größe :"
+
+msgid "Site image width :"
+msgstr "Bildbreite"
+
+msgid "Site image height :"
+msgstr "Bildhöhe"
+
+msgid "Auto rotate image :"
+msgstr "Bilder automatisch drehen"
+
+msgid "Upload high (original size) "
+msgstr "Bilder in Originalgröße hochladen"
+
+msgid "Yes"
+msgstr "Ja"
+
+msgid "No"
+msgstr "Nein"
+
+msgid "Admin. username :"
+msgstr "Benutzername des Admins :"
+
+msgid "Admin. password :"
+msgstr "Passwort den Admins :"
+
+msgid "OK"
+msgstr "OK"
+
+msgid "Cancel"
+msgstr "Abbrechen"
+
+msgid "Create date :"
+msgstr "Erstellungsdatum :"
+
+msgid "Width :"
+msgstr "Breite :"
+
+msgid "Height :"
+msgstr "Höhe :"
+
+msgid "Orientation :"
+msgstr "Orientierung :"
+
+msgid "Shutter speed :"
+msgstr "Verschlusszeit :"
+
+msgid "Aperture :"
+msgstr "Blende :"
+
+msgid "Focal length :"
+msgstr "Brennweite :"
+
+msgid "Model :"
+msgstr "Modell :"
+
+msgid "Lens :"
+msgstr "Objektiv :"
+
+msgid "Author :"
+msgstr "Author :"
+
+msgid "Comment :"
+msgstr "Kommentar :"
+
+msgid "French"
+msgstr "Französisch"
+
+msgid "English"
+msgstr "Englisch"
+
+msgid "Russian"
+msgstr "Russisch"
+
+msgid "Italian"
+msgstr "Italienisch"
+
+msgid "German"
+msgstr "Deutsch"
+
+msgid "Spanish"
+msgstr "Spanisch"
+
+msgid "Portuguese"
+msgstr "Portugiesisch"
+
+msgid "Dutch"
+msgstr "Holländisch"
+
+msgid "Polish"
+msgstr "Polnisch"
+
+msgid "Piwigo categories"
+msgstr "Piwigo Kategorien"
+
+msgid "Photo properties"
+msgstr "Eigenschaften des Fotos"
+
+msgid "Tools"
+msgstr "Tools"
+
+msgid "Global settings"
+msgstr "Globale Einstellungen"
+
+msgid "General"
+msgstr "Generell"
+
+msgid "Resized"
+msgstr "Resized"
+
+msgid "Thumbnail"
+msgstr "Thumbnail"
+
+msgid "Preview"
+msgstr "Vorschau"
+
+msgid "Photo selection"
+msgstr "Fotoauswahl"
+
+msgid "Language choice"
+msgstr "Sprachwahl"
+
+msgid "Choose a language"
+msgstr "Wählen Sie eine Sprache"
+
+msgid "Upload to Piwigo"
+msgstr "Upload zur Piwigo"
+
+msgid "Remove photo from selection"
+msgstr "Lösche Fotos aus der Auswahl"
+
+msgid "Add photo to selection"
+msgstr "Füge Fotos der Auswahl hinzu"
+
+msgid "Not connected"
+msgstr "Nicht verbunden"
+
+msgid "Connection to"
+msgstr "Verbunden"
+
+msgid "failed"
+msgstr "Fehler"
+
+msgid "Piwigo login"
+msgstr "Piwigo login"
+
+msgid "Piwigo login error"
+msgstr "Piwigo login Fehler"
+
+msgid "Please select a valid target category"
+msgstr "Bitte wählen Sie eine gültige Zielkategorie"
+
+msgid "Piwigo upload error"
+msgstr "Piwigo Upload Fehler"
+
+msgid "Category name :"
+msgstr "Kategoriename"
+
+msgid "Add new category"
+msgstr "Erstelle eine neue Kategorie"
+
+msgid "New category"
+msgstr "Neue Kategorie"
+
+msgid "Upload cancelled"
+msgstr "Upload abgebrochen"
+
+msgid "Image upload progress information"
+msgstr "Status des Bilder-Uploads"
+
+msgid "Cancel upload"
+msgstr "Breche Upload ab"
+
+msgid "Piwigo upload information"
+msgstr "Information über den Upload"
+
+msgid "Processing"
+msgstr "Fortschritt"
+
+msgid "images processed"
+msgstr "Bilder verarbeitet"
+
+msgid "images uploaded"
+msgstr "Bilder hochgeladen"
+
+msgid "images in errors and not uploaded"
+msgstr "Fehlerhafte Bilder und nicht hochgeladen"
+
+msgid "Duration"
+msgstr "Dauer"
+
+msgid "Categories"
+msgstr "Kategorien"
+
+msgid "categories"
+msgstr "Kategorien"
+
+msgid "Categorie"
+msgstr "Kategorie"
+
+msgid "categorie"
+msgstr "Kategorie"
+
+msgid "Album"
+msgstr "Album"
+
+msgid "Albums"
+msgstr "Alben"
+
+msgid "album"
+msgstr "Album"
+
+msgid "albums"
+msgstr "Alben"
+
+msgid "Photo caption :"
+msgstr "Bildunterschrift :"
+
+msgid "File name :"
+msgstr "Dateiname :"
+
+msgid "Default photo caption :"
+msgstr "Standart-Bildunterschrift :"
+
+msgid "Resize site image :"
+msgstr "Für die Website Bildgröße anpassen :"
+
+msgid "Auto rotate :"
+msgstr "Automatisch drehen :"
+
+msgid "Upload high (original size) :"
+msgstr "Bilder in Originalgröße hochladen :"
+
+msgid "Site image jpeg quality :"
+msgstr "JPEG-Qualität :"
+
+msgid "Site image filter :"
+msgstr "Bildverarbeitungsfilter :"
+
+msgid "Site image blur :"
+msgstr "Bildschärfe:"
+
+msgid "Site image interlace :"
+msgstr "Bildzwischenzeile :"
+
+msgid "Site thumbnail jpeg quality :"
+msgstr "Thumbnail JPEG Qualität :"
+
+msgid "Photo selection thumbnail size :"
+msgstr "Größe der Thumbnails der Foto-Auswahl :"
+
+msgid "Photo selection thumbnail jpeg quality :"
+msgstr "Foto-Auswahl-Thumbnail-JPEG-Qualität :"
+
+msgid "Use exif preview when available :"
+msgstr "Nutze EXIF-Vorschau wenn möglich :"
+
+msgid "Custom preview ratio :"
+msgstr "Eigenes Vorschauverhältnis :"
+
+msgid "Piwigo url"
+msgstr "URL der Piwigo"
+
+msgid "Connect"
+msgstr "Verbinde"
+
+msgid "Work Offline"
+msgstr "Arbeite Offline"
+
+msgid "Exit"
+msgstr "Beenden"
+
+msgid "empty - work Offline"
+msgstr "leer - arbeite Offline"
+
+msgid "None"
+msgstr "Nichts"
+
+msgid "File name"
+msgstr "Dateiname"
+
+msgid "File path and name"
+msgstr "Dateipfad und Name"
+
+msgid "Prefix"
+msgstr "Präfix"
+
+msgid "Prefix + rank number"
+msgstr "Präfixe + Rangnummer"
+
+msgid "Rank number + prefix"
+msgstr "Rangnummer + präfix"
+
+msgid "Prefix + create date chrono"
+msgstr "Präfix + Erstellungsdatum"
+
+msgid "Create date chrono + prefix"
+msgstr "Erstellungsdatum + präfix"
+
+msgid "Photo"
+msgstr "Foto"
+
+msgid "Image processing progress information"
+msgstr "Fortschritt der Bildverarbeitung"
+
+msgid "Cancel image processing"
+msgstr "Breche Bildverarbeitung ab"
+
+msgid "Add new album"
+msgstr "Füge ein neues Album hinzu"
+
+msgid "Refresh"
+msgstr "Aktualisieren"
+
+msgid "Expand all"
+msgstr "Alle erweitern"
+
+msgid "Collapse all"
+msgstr "Alle einklappen"
+
+msgid "Getting started"
+msgstr "Start"
+
+msgid "Properties"
+msgstr "Voreinstellungen"
+
+msgid "Remove uploaded photo from selection :"
+msgstr "Entferne hochgeladene Fotos aus der Auswahl :"